#pragma once

#include "esphome/core/component.h"
#include "esphome/components/cover/cover.h"

namespace esphome {
namespace stepper_cover {

class StepperCover : public cover::Cover, public Component {
 public:
  void setup() override;
  void loop() override;
  void dump_config() override;
  cover::CoverTraits get_traits() override;
  
 protected:
  void control(const cover::CoverCall &call) override;
};

}  // namespace stepper_cover
}  // namespace esphome